function print_info(varargin)
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.parse(varargin{:});
  Fprintf=p.Results.fprintf;
  CPU=fc_tools.sys.getCPUinfo();
  OS=fc_tools.sys.getOSinfo();
  Fprintf('#%12s: %s\n','computer',fc_tools.sys.getComputerName());
  Fprintf('#%12s: %s (%s)\n','system',OS.description,OS.arch);
  Fprintf('#%12s: %s\n','processor',CPU.name);
  Fprintf('#%12s  (%d procs/%d cores by proc/%d threads by core)\n',' ',CPU.nprocs,CPU.ncoreperproc,CPU.nthreadspercore);
  Fprintf('#%12s: %3.1f Go\n','RAM',fc_tools.sys.getRAM);
  Fprintf('#%12s: %s\n','software',fc_tools.sys.getSoftware());
  Fprintf('#%12s: %s\n','release',fc_tools.sys.getRelease());
  if fc_tools.comp.isOctave()
    %Fprintf('#maxNumCompThreads:%d\n',fc_bench.MKL_setNumThreads());
  else
    Fprintf('#%12s: %d\n','MaxThreads',maxNumCompThreads());
  end
end
